import Slider from "react-rangeslider";
import "react-rangeslider/lib/index.css";
import "./RangeSlider.css";
import { useState } from "react";

interface RangeSliderProps {
  defaultValue: number;
}

function RangeSlider({ defaultValue }: RangeSliderProps) {
  const [value, setValue] = useState<number>(defaultValue);

  return (
    <Slider
      min={1}
      max={200}
      value={value}
      onChange={(value) => setValue(value)}
      tooltip={false}
    />
  );
}

export default RangeSlider;
